Creates new campaign

Creates a campaign.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Note

io_number and externalCampaignId both serve the same purpose and refer to the same value: an external ID for use by clients. These fields point to the same value; on input, a caller should use one field or the other, not both; on output, both fields are provided (currently), and will have the same value.

Request

POST /campaign/save

Request Body

NameTypeDescriptionRequired
idNumberCampaign ID.Required for update.
advertiserIdNumberAdvertiser ID associated with the campaign.Yes
nameStringCampaign name.Yes
domainStringThe advertiser domain for the campaign (e.g. viant.com).Yes
maxBudgetNumberTotal lifetime budget for the campaign in USD.Yes
dailyBudgetNumberMaximum daily spend in USD.No
dailyFrequencyCapNumberThe maximum number of impressions a user is exposed to per frequency cap time period duration. Note: The name of this field is misleading since it is not necessarily "daily". The name of this field remains unchanged for backwards compatibility and will be updated on the next major version. See frequencyCapDuration and frequencyCapTimePeriod.Yes (if frequencyCapDuration or frequencyCapTimePeriod present)
frequencyCapDurationNumberThe number of given frequencyCapTimePeriod.Yes (if dailyFrequencyCap or frequencyCapTimePeriod present)
frequencyCapTimePeriodString"MINUTE", "HOUR", "DAY"Yes (if dailyFrequencyCap or frequencyCapDuration present)
startDateNumberStart date (Unix time in milliseconds).Yes
endDateNumberEnd date (Unix time in milliseconds).Yes
iabCategoryString Array

An array of IAB category codes (e.g. "IAB8-6").

See reference table here

Yes
markupRateNumberMarkup as a decimal (e.g. 0.10 for 10%).No
lifetimeImpressionCapNumberLifetime impression cap.No
dailyImpressionCapNumberDaily impression cap.No
lifetimeClickCapNumberLifetime click cap.No
dailyClickCapNumberDaily click cap.No
ioNumberStringIO Number. Used as client ID; mutually exclusive with externalCampaignId.No
externalCampaignIdStringClient campaign ID; mutually exclusive with ioNumber.No
minBidMultiplierNumberMinimum bid multiplier.No
maxBidMultiplierNumberMaximum bid multiplier.No
flightsObject ArrayArray of campaign flights.Yes for campaign flights, No for order flights
autoAdvertisingBooleanWhether Viant AI is enabled for this campaign.No
pacingModeStringOne of: ASAP, SPEND_EVENLYNo
intradayFrontloadPctNumberIncrease hourly budget to frontload spend.No
objectiveStringOne of: AWARENESS, ENGAGEMENT, CONVERSIONNo
Body Params
string
int32
required
string
required
string
required
number
int32
required
string
number
int32
int32
required
int32
string
enum
Allowed:
int64
required
int64
required
iabCategory
array of strings
required
iabCategory*
int32
int32
int32
int32
string
string
string
number
number
boolean
flights
array of objects
flights
string
enum
Allowed:
string
Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json